from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XFilePickerNotifier(XInterface, Protocol):
    def addFilePickerListener(self, xListener: XFilePickerListener) -> None: ...
    def removeFilePickerListener(self, xListener: XFilePickerListener) -> None: ...
